MAKEWHATIS(8)

NAME
makewhatis - create a whatis.db database

SYNOPSIS
/usr/libexec/makewhatis [manpath]

DESCRIPTION
makewhatis strips the NAME lines from compiled or raw man(1) pages and creates a whatis.db database for use in apropos(1) or with man(1) 's -k option. If manpath is unspecified, makewhatis by default creates a database for /usr/share/man. Man pages compressed with compress(1) and gzip(1) are uncompressed before processing, unformatted man pages will be processed by getNAME(8).

BUGS
makewhatis should find its search paths using /etc/man.conf

SEE ALSO
man(1), man.conf(5), getNAME(8)

AUTHOR
J.T. Conklin (jtc@netbsd.org)